# Generated from clearance-2.9.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name clearance

Name: rubygem-%{gem_name}
Version: 2.9.2
Release: 1%{?dist}
Summary: Rails authentication & authorization with email & password
License: MIT
URL: https://github.com/thoughtbot/clearance
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.1.6
BuildArch: noarch

%description
Clearance is built to support authentication and authorization via an
email/password sign-in mechanism in applications.
It provides some core classes commonly used for these features, along with
some opinionated defaults - but is intended to be easy to override.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.erb-lint.yml
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/Appraisals
%{gem_instdir}/CODEOWNERS
%license %{gem_instdir}/LICENSE
%{gem_instdir}/RELEASING.md
%{gem_instdir}/SECURITY.md
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/clearance.gemspec
%{gem_instdir}/spec

%changelog
* Thu Nov 14 2024 mockbuilder - 2.9.2-1
- Initial package
